apiVersion: v1
kind: Service
metadata:
  name: {{ .Values.appName }}-introspection
  labels:
    app: {{ .Values.appName }}-introspection
  annotations:
    argocd.argoproj.io/sync-wave: "-2"
spec:
  selector:
    app: {{ .Values.appName }}-introspection
  ports:
  - protocol: TCP
    port: {{ .Values.containerPort }}
    targetPort: {{ .Values.containerPort }}